import argparse
import sys
import random
from pathlib import Path


def main(args):
    parser = argparse.ArgumentParser(description='Generate an integer number between 1-10')
    parser.add_argument("--result_number", type=str, required=True)
    args = parser.parse_args(args)

    Path(args.result_number).parent.mkdir(parents=True, exist_ok=True)
    with open(args.result_number, 'w') as sum_path:
        sum_path.write('{}'.format(random.randint(1,10)))

if __name__ == '__main__':
    main(sys.argv[1:])